<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Base64</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <script src="../../static/jquery/jquery-ui.js"></script>
    <link href="../../static/jquery/jquery-ui.css" rel="stylesheet">
    <link href="../../static/style/common.css" rel="stylesheet">
    <script src="../../static/jquery/jquery.base64.js"></script>
    <script src="../../static/plugin/base64.js"></script>
</head>

<body>
    <div class="content">
        <div id="console" class="console"></div>
    </div>

    <script>
        $(function() {
            var $console = $('#console');
            var text = '字串文字'; //5a2X5Liy5paH5a2X
            var encodeText;
            var decodeText;
            var msg = '';
            
            var processByjQueryBase64Plugin = function() {
                $.base64.utf8encode = true;
                $.base64.utf8decode = true;
                
                encodeText = $.base64.encode(text);
                decodeText = $.base64.decode(encodeText);
                
                msg += '原始文字 = ' + text + '<br>';
                msg += '加密文字 = ' + encodeText + '<br>';
                msg += '解密文字 = ' + decodeText + '<br>';
                $console.html(msg);
            }
            
            // source = "https://github.com/emn178/hi-base64";
            var processByHiBase64Plugin = function(){
                var htmlCode = '57SE5qy+6LOH5paZ5L6G5rqQCjxwPjEuIFh4eDwvcD4gICAgCjxwPjIuIFh4eDwvcD4gICAgCjxwPjMuIFh4eDwvcD4gICAgCjxwPi4uLi4uLjwvcD4K';
                var htmlView = base64.decode(htmlCode);
                $console.append(htmlView);
            }
            
            processByjQueryBase64Plugin();
            processByHiBase64Plugin();
        });

    </script>
</body>

</html>
